//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.12.16 at 11:48:39 AM CET 
//


package org.tdwg.ggbn;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Container element for an reference to DNA sequences
 * 				or the consensus sequence  
 * 
 * <p>Java class for Reference complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Reference">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ReferenceCitation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ReferenceURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Reference", propOrder = {
    "referenceCitation",
    "referenceURI"
})
public class Reference {

    @XmlElement(name = "ReferenceCitation")
    protected String referenceCitation;
    @XmlElement(name = "ReferenceURI")
    @XmlSchemaType(name = "anyURI")
    protected String referenceURI;

    /**
     * Gets the value of the referenceCitation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferenceCitation() {
        return referenceCitation;
    }

    /**
     * Sets the value of the referenceCitation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferenceCitation(String value) {
        this.referenceCitation = value;
    }

    /**
     * Gets the value of the referenceURI property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferenceURI() {
        return referenceURI;
    }

    /**
     * Sets the value of the referenceURI property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferenceURI(String value) {
        this.referenceURI = value;
    }

}
